> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user summary

> Retrieve comprehensive information about a user



## OpenAPI

````yaml https://api.select.dev/public_openapi get /api/{organization_id}/users/{email}
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/{organization_id}/users/{email}:
    get:
      tags:
        - roles
        - public-api
      summary: Get user summary
      description: Retrieve comprehensive information about a user
      operationId: get_user_summary_route_api__organization_id__users__email__get
      parameters:
        - name: email
          in: path
          required: true
          schema:
            type: string
            description: User's email address
            title: Email
          description: User's email address
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicUserSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    PublicUserSummary:
      properties:
        email:
          type: string
          title: Email
          description: The user's email address
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: The user's display name
        identity_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Identity Provider
          description: The identity provider used for authentication
        roles:
          items:
            $ref: '#/components/schemas/PublicUserAccessRole'
          type: array
          title: Roles
          description: All direct access roles assigned to the user
        team_memberships:
          items:
            $ref: '#/components/schemas/TeamMembership'
          type: array
          title: Team Memberships
          description: Teams the user belongs to
        last_login_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Login At
          description: When the user last logged in
        last_activity_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Activity At
          description: When the user was last active
        sso_groups:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sso Groups
          description: SSO groups from the user's last login
      type: object
      required:
        - email
      title: PublicUserSummary
      description: Comprehensive user information including roles and team memberships.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicUserAccessRole:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of this role assignment
        role:
          $ref: '#/components/schemas/UserRoleEnum'
          description: The role level (admin, editor, monitor_editor, or viewer)
        scope:
          $ref: '#/components/schemas/RoleScope'
          description: The scope this role applies to
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the role was created
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: When the role was last updated
        is_default:
          type: boolean
          title: Is Default
          description: Whether this is a default organization role
          default: false
        granted_from_team_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Granted From Team Name
          description: >-
            If this role is granted FROM a team (i.e., user has this role
            because they're a member of the team), the team name
      type: object
      required:
        - id
        - role
        - scope
        - created_at
        - updated_at
      title: PublicUserAccessRole
      description: User's access role to a resource, returned by public API.
    TeamMembership:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
          description: The unique identifier of the team
        team_name:
          type: string
          title: Team Name
          description: The name of the team
        role:
          $ref: '#/components/schemas/UserRoleEnum'
          description: The role level within the team
        is_all_users_team:
          type: boolean
          title: Is All Users Team
          description: Whether this is the special all-users team
          default: false
      type: object
      required:
        - team_id
        - team_name
        - role
      title: TeamMembership
      description: Information about a user's membership in a team.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserRoleEnum:
      type: string
      enum:
        - admin
        - editor
        - monitor_editor
        - viewer
      title: UserRoleEnum
    RoleScope:
      properties:
        type:
          $ref: '#/components/schemas/RoleScopeType'
          description: The type of scope for this role
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: >-
            ID of the scoped entity (organization ID, Snowflake org name,
            account UUID, or usage group ID)
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Display name of the scoped entity (populated in responses)
      type: object
      required:
        - type
      title: RoleScope
      description: Scope definition for a role assignment.
    RoleScopeType:
      type: string
      enum:
        - organization
        - snowflake_organization
        - snowflake_account
        - databricks_account
        - databricks_connection
        - tableau_site
        - usage_group
      title: RoleScopeType
      description: Types of scopes a role can be assigned to.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````